=== modified file 'drizzled/item/sum.cc'
--- drizzled/item/sum.cc	2009-12-23 21:16:15 +0000
+++ drizzled/item/sum.cc	2009-12-24 00:54:33 +0000
@@ -3284,7 +3284,7 @@
 
   if (arg_count_order)
   {
-    tree= new TREE;
+    tree= &tree_base;
     /*
       Create a tree for sorting. The tree is used to sort (according to the
       syntax of this function). If there is no order_st BY clause, we don't
@@ -3394,6 +3394,4 @@
 {
   if (!original && unique_filter)
     delete unique_filter;
-  if (tree)
-    delete tree;
 }

=== modified file 'drizzled/item/sum.h'
--- drizzled/item/sum.h	2009-12-23 08:55:31 +0000
+++ drizzled/item/sum.h	2009-12-24 00:54:33 +0000
@@ -23,13 +23,12 @@
 /* classes for sum functions */
 
 
+#include "drizzled/my_tree.h"
 #include <drizzled/hybrid_type.h>
 #include <drizzled/item.h>
 #include <drizzled/item/field.h>
 #include <drizzled/item/bin_string.h>
 
-typedef struct st_tree TREE;
-
 extern "C"
 int group_concat_key_cmp_with_distinct(void* arg, const void* key1,
                                        const void* key2);
@@ -970,6 +969,7 @@
   DRIZZLE_ERROR *warning;
   String result;
   String *separator;
+  TREE tree_base;
   TREE *tree;
 
   /**

